turtles-own
[
  x-pos  ;; x, y in z koordinata zelvice (opozorilo: spremenljivk ne 
  y-pos  ;; zamesaj z xcor in ycor, ki so ze definirane v NetLogu)
  z-pos  ;;   
  p      ;; p, fi in theta so sfericne koordinate
  theta
  phi
 ]

to setup
  clear-all
  set-default-shape turtles "circle"
end

to setup-sphere
  setup
  ;; Krogla z radijem velikost_telesa
  crt stevilo_zelvic
  [
    set p velikost_telesa            ; vse tocke so enako oddaljene od sredisca
    set theta random-float 360  ; ampak enakomerno porazdeljene po plascu krogle
    set phi random-float 180
    render-turtle
  ]
end

;; Polna kocka
to setup-cube-filled
  setup
  ;; ustvari kocko s stranico dolzine enake velikost_telesa 
  ;; tocke v notranjosti so nakljucno porazdeljene
  crt stevilo_zelvic
  [
    cartesian ((- velikost_telesa) + 2 * (random-float velikost_telesa))
              ((- velikost_telesa) + 2 * (random-float velikost_telesa))
              ((- velikost_telesa) + 2 * (random-float velikost_telesa))
    render-turtle
  ]
end

; Kocka z zelvicami le na plascu
to setup-cube-surface
  setup
  crt stevilo_zelvic
  [
    let temp-alpha velikost_telesa * (1 - 2 * (random 2))   ; +-velikost telesa
    ; nakljucno porazdeli zelvice po celotnem plascu
    let temp-beta velikost_telesa - 2 * (random-float velikost_telesa)
    let temp-gamma (random 2)                          ; prednja/zadnja ali leva/desna ploskev
    ifelse temp-gamma = 0                              ; ustvari prednjo in zadnjo ploskev
    [
      cartesian (temp-alpha)
                (temp-beta)
                (velikost_telesa - (2 * (random-float velikost_telesa)))
    ]
    [
      cartesian (temp-beta)                             ; ustvari stranski ploskvi
                (temp-alpha)
                (velikost_telesa - (2 * (random-float velikost_telesa)))
    ]
    render-turtle
  ]
end



; Stozec
to setup-cone
  setup
  crt stevilo_zelvic
  [
    set theta (random-float 360)        ; tocke imajo nakljucen kot
    set p (random-float velikost_telesa)
    cartesian (p * (cos theta))     ; x = r*cos(theta)
              (p * (sin theta))     ; y = r*sin(theta)
              (velikost_telesa - 2 * p)  ; poskrbimo, da je stozec v srediscu
                                   
    render-turtle
  ]
end

; Pokoncni valj
to setup-cylinder-v
  setup
  ;koda je precej podobna tisti pri stozcu, le
  ;radij v xy-ravnini je konstanten
  crt stevilo_zelvic
  [
    let temp-alpha (random 3) - 1         ; doloci ploskev (zgornja, spodnja osnovna ploskev ali plasc)
    set theta (random-float 360)
    ifelse temp-alpha = 0
    [
      cartesian (velikost_telesa * (cos theta))
                (velikost_telesa * (sin theta))
                ((- velikost_telesa) + 2 * (random-float velikost_telesa))
    ]
    [
      cartesian ((random-float velikost_telesa) * (cos theta))
                ((random-float velikost_telesa) * (sin theta))
                (temp-alpha * velikost_telesa)
    ]
    render-turtle
  ]
end

; Lezeci valj
to setup-cylinder-h
  setup
  ;Ustvari lezeci valj
  crt stevilo_zelvic
  [
    let temp-alpha (random 3) - 1      ; doloci ploskev (leva, desna ploskev ali plasc)
    set theta (random-float 360)
    ifelse temp-alpha = 0              ; ustvari valj
    [
      cartesian ((- velikost_telesa) + 2 * (random-float velikost_telesa))
                (velikost_telesa * (cos theta))
                (velikost_telesa * (sin theta))
    ]
    [
      cartesian (temp-alpha * velikost_telesa)
                ((random-float velikost_telesa) * (cos theta))
                ((random-float velikost_telesa) * (sin theta))
    ]
    render-turtle
  ]
end

;Piramida
to setup-pyramid
  setup
  crt stevilo_zelvic
  [
    let temp-alpha (- velikost_telesa) + 2 * (random-float velikost_telesa)  ; z koordinara
    set theta (random 2)                         ; sprednja/zadnja ali leva/desna ploskev
    let temp-beta (velikost_telesa - temp-alpha) / 2
    let temp-gamma -1 + 2 * (random 2)           ; sprednja/zadnja ali leva/desna (-1 ali 1)
    ifelse theta = 0
    [
      cartesian (temp-beta * temp-gamma)          ;  leva in desna ploskev
                ((- temp-beta) + 2 * (random-float temp-beta))
                (temp-alpha)
    ]
    [
      cartesian ((- temp-beta) + 2 * (random-float temp-beta)) ;  sprednja in zadnja ploskev
                (temp-beta * temp-gamma)
                (temp-alpha)
    ]
    render-turtle
  ]
end

;Kvader
to setup-rectangle
  setup
     crt stevilo_zelvic
  [
    let temp-alpha velikost_telesa * (1 - 2 * (random 2))   ; +-velikost_telesa
    ; random distribution bounded by +-shape-size
    let temp-beta velikost_telesa - 2 * (random-float velikost_telesa)
    let temp-gamma (random 2)                          ; sprednja/zadnja ali leva/desna?
    ifelse temp-gamma = 0                              ; ustvari prednjo in zadnjo ploskev
    [
      cartesian (temp-alpha)
                (0.4 * temp-beta)
                (0.6 * (velikost_telesa - (2 * (random-float velikost_telesa))))
    ]
    [
      cartesian (temp-beta)                             ; generating the side surfaces
                (0.4 * temp-alpha)
                (0.6 * (velikost_telesa - (2 * (random-float velikost_telesa))))
    ]
    render-turtle
  ]
end

;; pretvori kartezicne koordinate v sfericne
to cartesian [x y z]
  set p sqrt((x ^ 2) + (y ^ 2) + (z ^ 2))
  set phi (atan sqrt((x ^ 2) + (y ^ 2)) z)
  set theta (atan y x)
end

to go
  ; ustvari rotiranje zelvic okoli z-osi
  ask turtles
  [
    set theta (theta + hitrost_vrtenja) mod 360  ; povecuje kot, ki simulira krozenje
    render-turtle
  ]
  tick
end

to render-turtle
  calculate-turtle-position
  set-turtle-position
end

;; pretvori sfericne koordinate v kartezicne
to calculate-turtle-position
  set y-pos p * (sin phi) * (sin theta)
  set x-pos p * (sin phi) * (cos theta)
  set z-pos p * (cos phi)
end

;; nastavi barvo telesa in pogled na telo
to set-turtle-position
  ifelse pogled = "od_strani"                                     ; sideview
  [
    setxy x-pos z-pos
    set color scale-color barva y-pos (- velikost_telesa) velikost_telesa
  ]
  [
    ifelse pogled = "od_zgoraj"                                  ; pogled od zgoraj
    [
      setxy x-pos y-pos
      set color scale-color barva z-pos (- velikost_telesa) velikost_telesa
    ]
    [
      setxy (p * (sin phi) * (cos theta))              ; pogled od spodaj
            (- (p * (sin phi) * (sin theta)))
      set color scale-color barva (- z-pos) (- velikost_telesa) velikost_telesa
    ]
  ]
end


; *** NetLogo 4.0.4 Model Copyright Notice ***
;
; This model was created as part of the project: CONNECTED MATHEMATICS:
; MAKING SENSE OF COMPLEX PHENOMENA THROUGH BUILDING OBJECT-BASED PARALLEL
; MODELS (OBPML).  The project gratefully acknowledges the support of the
; National Science Foundation (Applications of Advanced Technologies
; Program) -- grant numbers RED #9552950 and REC #9632612.
;
; Copyright 1998 by Uri Wilensky.  All rights reserved.
;
; Permission to use, modify or redistribute this model is hereby granted,
; provided that both of the following requirements are followed:
; a) this copyright notice is included.
; b) this model will not be redistributed for profit without permission
;    from Uri Wilensky.
; Contact Uri Wilensky for appropriate licenses for redistribution for
; profit.
;
; This model was converted to NetLogo as part of the projects:
; PARTICIPATORY SIMULATIONS: NETWORK-BASED DESIGN FOR SYSTEMS LEARNING
; IN CLASSROOMS and/or INTEGRATED SIMULATION AND MODELING ENVIRONMENT.
; The project gratefully acknowledges the support of the
; National Science Foundation (REPP & ROLE programs) --
; grant numbers REC #9814682 and REC-0126227.
; Converted from StarLogoT to NetLogo, 2001.
;
; To refer to this model in academic publications, please use:
; Wilensky, U. (1998).  NetLogo 3D Solids model.
; http://ccl.northwestern.edu/netlogo/models/3DSolids.
; Center for Connected Learning and Computer-Based Modeling,
; Northwestern University, Evanston, IL.
;
; In other publications, please use:
; Copyright 1998 Uri Wilensky.  All rights reserved.
; See http://ccl.northwestern.edu/netlogo/models/3DSolids
; for terms of use.
;
; *** End of NetLogo 4.0.4 Model Copyright Notice ***
@#$#@#$#@
GRAPHICS-WINDOW
410
17
783
411
60
60
3.0
1
10
1
1
1
0
0
0
1
-60
60
-60
60
1
1
1
ticks

CC-WINDOW
5
425
792
520
Command Center
0

BUTTON
229
39
322
72
Zavrti
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL

SLIDER
209
135
339
168
stevilo_zelvic
stevilo_zelvic
0
2000
2000
1
1
NIL
HORIZONTAL

SLIDER
209
231
339
264
hitrost_vrtenja
hitrost_vrtenja
-10.0
10.0
3
1.0
1
NIL
HORIZONTAL

BUTTON
19
40
171
73
nastavi - KROG
setup-sphere
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL

BUTTON
19
280
171
313
nastavi - KOCKA (polna)
setup-cube-filled
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL

SLIDER
209
183
339
216
velikost_telesa
velikost_telesa
10.0
40.0
35.3
0.1
1
NIL
HORIZONTAL

BUTTON
19
88
171
121
nastavi - STOEC
setup-cone
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL

BUTTON
19
136
171
169
nastavi - POKONNI VALJ
setup-cylinder-v
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL

BUTTON
19
184
171
217
nastavi - LEEI VALJ
setup-cylinder-h
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL

BUTTON
19
232
171
265
nastavi - KOCKA (votla)
setup-cube-surface
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL

BUTTON
19
328
171
361
nastavi - PIRAMIDA
setup-pyramid
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL

SLIDER
209
87
339
120
barva
barva
5.0
135.0
45
10.0
1
NIL
HORIZONTAL

CHOOSER
248
288
340
333
Pogled
Pogled
"od_strani" "od_zgoraj" "od_spodaj"
0

BUTTON
18
372
171
405
nastavi - KVADER
setup-rectangle
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL

@#$#@#$#@
OPIS MODELA
------------
Model s pomojo preslikave iz kartezinih koordinat v sferine ustvari 3-dimenzionalna telesa s pomojo 2-dimenzionalnih elvic.


KAKO DELUJE
------------
Program nakljuno ustvari elvice na ploskvi telesa v kartezinih (x,y,z) ali sferinih (fi, theta, z) koordinatah (odvisno od tega, katere so bolj primerne). Ne glede na vse, pa koordinate v vsakem primeru shranimo v sferinih koordinatah. Telesa ustvari s pomojo preslikave iz kartezinih koordinat v sferine. Uinek tretje dimenzije doseemo s pomojo barv. elvice, ki so nam "najblije" pobarva belo, nato pa se barva preko razlinih odtenkov poljubne barve spremeni v rno (rne elvice so tiste, ki so "najbolj oddaljene" od nas).
Poloaj elvice je vedno shranjen v sferinih koordinatah, kjer telesa enostavno rotiramo okoli z-osi s spreminjanjem kota fi.

Preslikava iz kartezinih koordinat v sferine:

x = r * cos(fi) = p * sin(theta) * cos(fi)
y = r * sin(fi) = p * sin(theta) * sin(fi)
z = p * cos(fi)

fi: Ko elvico preslikamo na x-y ravnino, fi meri kot med elvico in osjo x
theta: kot theta meri naklon elvice glede na z-os
p: meri oddaljenost elvice od sredia


KAKO GA UPORABLJATI
--------------------
S klikom na gumbe "NASTAVI-...", ustari razlina telesa. elvice se nakljuno porazdelijo po plau telesa. 

S klikom na gumb "ZAVRTI" se telo zane vrteti okoli z-osi.

S premikom drsnika "BARVA" lahko spremeni barvo telesa

S premikom drsnika "STEVILO_ZELVIC" doloi tevilo elvic, ki bodo na plau telesa.

S premikom drsnika "VELIKOST_TELESA" lahko telo povea ali pomanja.

S premikom drsnika "HITROST_VRTENJA" povea, zmanja ali obrne smer vrtenja telesa okoli z-osi.

(Vrtenje elvic je doseeno s pomojo spreminjanja spremenljivke fi v odvisnosti od hitrosti vrtenja. Vrtenje (okoli z-osi) je enostavneje implementirati v sferinih koordinatah, premikanje pa v kartezinih.)


KAJ LAHKO OPAZIMO
------------------
elvice ki so blije na y-osi (na pozitivnem delu y-osi) so svetleje od tiste, ki so bolj oddaljene (so na negativnem delu y-osi).


POSKUSI SAM
------------
e spremeni hitrost vrtenja ali barvo elvic, bo takoj opazil spremembo.


DOPOLNI MODEL
--------------
[LAJE] Prilagodi "SETUP-RECTANGLE", da spremeni mere kvadra.
	
	Ustvari postopek, da premakne celo telo. Namig: telo je laje premakniti v 		        kartezinih koordninatah.
	
	Poskusi animirati spremenljivko theta. Zakaj to nima nobenega smisla?

	Poskusi animirati kakno novo telo.

	Spremeni model, da bo lahko telesa vrtel okoli poljubne osi.

[TEJE] Spremeni model tako, da bo telo lahko videl iz poljubnega zornega kota in samo 	glede na te tri osi.


NETLOGO 
--------
Oglej si funkcijo scale-color, s pomojo katere je ustvarjen 3D uinek.


AVTORSKE PRAVICE
-----------------
Pri sklicevanju na ta model v znanstvenih publikacija uporabite: Wilensky, U. (1998).  NetLogo 3D Solids model.  http://ccl.northwestern.edu/netlogo/models/3DSolids.  Center for Connected Learning and Computer-Based Modeling, Northwestern University, Evanston, IL.

V ostalih publikacija uporabite: Copyright 1998 Uri Wilensky. Vse pravice pridrane. Pogoje uporabe si lahko ogledate na  http://ccl.northwestern.edu/netlogo/models/3DSolids.
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 4.0.4
@#$#@#$#@
setup-sphere
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 30 225
Line -7500403 true 150 150 270 225

@#$#@#$#@
